CounterSuperColumn (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class CounterSuperColumn

- java.lang.Object
- - org.apache.cassandra.thrift.CounterSuperColumn

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CounterSuperColumn>, org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>

      public class CounterSuperColumn
      extends java.lang.Object
      implements org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CounterSuperColumn>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CounterSuperColumn._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<CounterColumn>` | `columns`
    `static java.util.Map<CounterSuperColumn._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.nio.ByteBuffer` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterSuperColumn()`
    `CounterSuperColumn(java.nio.ByteBuffer name, java.util.List<CounterColumn> columns)`
    `CounterSuperColumn(CounterSuperColumn other)` Performs a deep copy on other.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToColumns(CounterColumn elem)`
    `java.nio.ByteBuffer` | `bufferForName()`
    `void` | `clear()`
    `int` | `compareTo(CounterSuperColumn other)`
    `CounterSuperColumn` | `deepCopy()`
    `boolean` | `equals(CounterSuperColumn that)`
    `boolean` | `equals(java.lang.Object that)`
    `CounterSuperColumn._Fields` | `fieldForId(int fieldId)`
    `java.util.List<CounterColumn>` | `getColumns()`
    `java.util.Iterator<CounterColumn>` | `getColumnsIterator()`
    `int` | `getColumnsSize()`
    `java.lang.Object` | `getFieldValue(CounterSuperColumn._Fields field)`
    `byte[]` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isSet(CounterSuperColumn._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumns()` Returns true if field columns is set (has been assigned a value) and false otherwise
    `boolean` | `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `CounterSuperColumn` | `setColumns(java.util.List<CounterColumn> columns)`
    `void` | `setColumnsIsSet(boolean value)`
    `void` | `setFieldValue(CounterSuperColumn._Fields field, java.lang.Object value)`
    `CounterSuperColumn` | `setName(byte[] name)`
    `CounterSuperColumn` | `setName(java.nio.ByteBuffer name)`
    `void` | `setNameIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetColumns()`
    `void` | `unsetName()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.nio.ByteBuffer name

    - #### columns

          public java.util.List<CounterColumn> columns

    - #### metaDataMap

          public static final java.util.Map<CounterSuperColumn._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### CounterSuperColumn

          public CounterSuperColumn()

    - #### CounterSuperColumn

          public CounterSuperColumn(java.nio.ByteBuffer name,
                            java.util.List<CounterColumn> columns)

    - #### CounterSuperColumn

          public CounterSuperColumn(CounterSuperColumn other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public CounterSuperColumn deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`

    - #### getName

          public byte[] getName()

    - #### bufferForName

          public java.nio.ByteBuffer bufferForName()

    - #### setName

          public CounterSuperColumn setName(byte[] name)

    - #### setName

          public CounterSuperColumn setName(java.nio.ByteBuffer name)

    - #### unsetName

          public void unsetName()

    - #### isSetName

          public boolean isSetName()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### setNameIsSet

          public void setNameIsSet(boolean value)

    - #### getColumnsSize

          public int getColumnsSize()

    - #### getColumnsIterator

          public java.util.Iterator<CounterColumn> getColumnsIterator()

    - #### addToColumns

          public void addToColumns(CounterColumn elem)

    - #### getColumns

          public java.util.List<CounterColumn> getColumns()

    - #### setColumns

          public CounterSuperColumn setColumns(java.util.List<CounterColumn> columns)

    - #### unsetColumns

          public void unsetColumns()

    - #### isSetColumns

          public boolean isSetColumns()

      Returns true if field columns is set (has been assigned a value) and false otherwise

    - #### setColumnsIsSet

          public void setColumnsIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(CounterSuperColumn._Fields field,
                           java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(CounterSuperColumn._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`

    - #### isSet

          public boolean isSet(CounterSuperColumn._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(CounterSuperColumn that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(CounterSuperColumn other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CounterSuperColumn>`

    - #### fieldForId

          public CounterSuperColumn._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<CounterSuperColumn,CounterSuperColumn._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation